/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 12);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */,
/* 1 */,
/* 2 */,
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var ScrollLock = __webpack_require__(4),
  utils = {
    setScrollBarWidth: function setScrollBarWidth() {
      document.documentElement.style.setProperty('--nebotheme-scrollbar-width', this.getScrollBarWidth() + 'px');
    },
    getCssVar: function getCssVar(name) {
      var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document.documentElement;
      if (context instanceof jQuery) {
        context = context.get(0);
      }
      var value = getComputedStyle(context).getPropertyValue(name);
      if ('string' === typeof value) {
        value = value.trim();
      }
      return value;
    },
    getCssVarInt: function getCssVarInt(name) {
      var context = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document.documentElement;
      return parseInt(this.getCssVar(name, context)) || 0;
    },
    transitionend: function () {
      var el = document.createElement('div'),
        transEndEventNames = {
          transition: 'transitionend',
          WebkitTransition: 'webkitTransitionEnd',
          MozTransition: 'transitionend',
          OTransition: 'oTransitionEnd otransitionend'
        };
      for (var name in transEndEventNames) {
        if (undefined !== el.style[name]) {
          return transEndEventNames[name];
        }
      }
      return 'transitionend';
    }(),
    debounce: function debounce(func) {
      var ms = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 150,
        timer = null;
      return function () {
        for (var _this = this, _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }
        var onComplete = function onComplete() {
          func.apply(_this, args);
          timer = null;
        };
        if (timer) {
          clearTimeout(timer);
        }
        timer = setTimeout(onComplete, ms);
      };
    },
    throttle: function throttle(func) {
      var ms = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 500,
        isThrottled = false,
        savedArgs,
        savedThis;
      function wrapper() {
        if (isThrottled) {
          savedArgs = arguments;
          savedThis = this;
          return;
        }
        func.apply(this, arguments);
        isThrottled = true;
        setTimeout(function () {
          isThrottled = false;
          if (savedArgs) {
            wrapper.apply(savedThis, savedArgs);
            savedArgs = savedThis = null;
          }
        }, ms);
      }
      return wrapper;
    },
    scrollLock: new ScrollLock(),
    getScrollBarWidth: function getScrollBarWidth() {
      var outer = document.createElement('div'),
        inner = document.createElement('div');
      outer.style.visibility = 'hidden';
      outer.style.overflow = 'scroll';
      outer.style.msOverflowStyle = 'scrollbar';
      document.body.appendChild(outer);
      outer.appendChild(inner);

      // Calculating difference between container's full width and the child width
      var scrollbarWidth = outer.offsetWidth - inner.offsetWidth;

      // Removing temporary elements from the DOM
      outer.parentNode.removeChild(outer);
      return scrollbarWidth;
    },
    isTouch: function () {
      return 'ontouchstart' in window;
    }(),
    isImgLoaded: function isImgLoaded(imgElement) {
      return imgElement && imgElement.complete;
    },
    bindImgLoaded: function bindImgLoaded(imgElement) {
      var callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {};
      if (this.isImgLoaded(imgElement)) {
        callback();
      } else {
        imgElement.onload = callback;
        imgElement.addEventListener('load', callback);
      }
    },
    isRTL: function isRTL() {
      return Boolean(jQuery('[dir="rtl"]').length);
    },
    getTextDirection: function getTextDirection() {
      return this.isRTL() ? 'rtl' : 'ltr';
    },
    isCustomize: function isCustomize() {
      return window.wp && wp.customize;
    },
    getCssTime: function getCssTime(cssTime) {
      return parseFloat(cssTime) * (/\ds$/.test(cssTime) ? 1000 : 1);
    }
  };
module.exports = utils;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function () {
  var _this = this;
  this.classes = {
    __lockScroll: 'nebotheme-body--scroll-lock',
    __hasScroll: 'nebotheme-body--scroll-has'
  };
  this.lock = function () {
    _this.toggle(true);
  };
  this.unLock = function () {
    _this.toggle(false);
  };
  this.hasScroll = function () {
    return document.documentElement.scrollHeight > document.documentElement.clientHeight;
  };
  this.toggle = function () {
    var force = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null,
      willLock = null === force ? !nebotheme.els.$body.hasClass(_this.classes.__lockScroll) : force;
    nebotheme.els.$body.toggleClass(_this.classes.__lockScroll, willLock);
    nebotheme.els.$body.toggleClass(_this.classes.__hasScroll, willLock && _this.hasScroll());
  };
};

/***/ }),
/* 5 */,
/* 6 */,
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */,
/* 11 */,
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(13);


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Blog = __webpack_require__(14),
  Comments = __webpack_require__(15),
  StickyHeader = __webpack_require__(16),
  VideoBG = __webpack_require__(17),
  MenuSmart = __webpack_require__(18),
  OffCanvas = __webpack_require__(19),
  PopupManager = __webpack_require__(22),
  Search = __webpack_require__(24),
  Sliders = __webpack_require__(25),
  MediumZoom = __webpack_require__(26),
  Share = __webpack_require__(27),
  Hooks = __webpack_require__(20),
  utils = __webpack_require__(3),
  AjaxSearch = __webpack_require__(28),
  BackToTop = __webpack_require__(29),
  CookieBar = __webpack_require__(30),
  Mailchimp = __webpack_require__(31),
  PagePage = __webpack_require__(32),
  PostInfiniteScroll = __webpack_require__(33);
/* Modules */
__webpack_require__(34);
function Nebotheme() {
  var _this = this;
  this.utils = utils;
  this.hooks = new Hooks();
  this.els = {};
  var bindEvents = function bindEvents() {
      window.addEventListener('resize', utils.debounce(onResize));
      nebotheme.els.$body.on('click', '.nebotheme-trigger', function (event) {
        event.preventDefault();
        var $this = jQuery(event.currentTarget);
        _this.hooks.trigger("trigger:".concat($this.data('event')), event);
      });
      window.addEventListener('keydown', handleFirstTab);
      nebotheme.hooks.on('varBlock', varBlockInit);
    },
    initModule = function initModule() {
      _this.stickyHeader = new StickyHeader();
      _this.blog = new Blog();
      _this.comments = new Comments();
      _this.popupManager = new PopupManager();
      _this.offCanvas = new OffCanvas();
      _this.search = new Search();
      _this.sliders = new Sliders();
      _this.videoBG = new VideoBG();
      _this.menuSmart = new MenuSmart();
      _this.mailchimp = new Mailchimp();
      _this.pagePage = new PagePage();
      _this.ajaxSearch = new AjaxSearch();
      _this.backToTop = new BackToTop();
      _this.cookieBar = new CookieBar();
      _this.postInfiniteScroll = new PostInfiniteScroll();
      _this.MediumZoom = new MediumZoom();
      new Share();
    },
    initElements = function initElements() {
      _this.els = {
        $window: jQuery(window),
        $document: jQuery(document),
        $html: jQuery(document.documentElement),
        $body: jQuery('body'),
        $site: jQuery('#site'),
        $header: jQuery('#header'),
        $footer: jQuery('#footer')
      };
    },
    initScrollbarWidth = function initScrollbarWidth() {
      var mql = window.matchMedia("(pointer: coarse) and (hover: none) "),
        callback = function callback() {
          utils.setScrollBarWidth();
        };
      mql.addListener(callback);
      callback();
    },
    onResize = function onResize() {
      utils.setScrollBarWidth();
    },
    handleFirstTab = function handleFirstTab(event) {
      if (9 !== event.keyCode) {
        return;
      }
      document.body.classList.add('user-is-tabbing');
      window.removeEventListener('keydown', handleFirstTab);
      window.addEventListener('mousedown', handleMouseDownOnce);
    },
    handleMouseDownOnce = function handleMouseDownOnce() {
      document.body.classList.remove('user-is-tabbing');
      window.removeEventListener('mousedown', handleMouseDownOnce);
      window.addEventListener('keydown', handleFirstTab);
    };
  this.getTM = function (themeModName) {
    if (!window.nebothemeConfig || !nebothemeConfig.theme_mods || !nebothemeConfig.theme_mods) {
      return;
    }
    return nebothemeConfig.theme_mods[themeModName];
  };
  this.initStickySidebar = function () {
    if (!nebotheme.getTM('sticky_sidebar')) {
      return;
    }
    var additionalMarginDefault = 20;
    var additionalMarginTop = utils.getCssVarInt('--nebotheme-adminbar-space', document.body) + additionalMarginDefault;
    if (_this.stickyHeader.isActive()) {
      additionalMarginTop += utils.getCssVarInt('--nebotheme-header-sticky-height');
    }
    jQuery('.site-content-sidebar .sidebar, .sidebar-primary--exists .site-content').theiaStickySidebar({
      additionalMarginTop: additionalMarginTop,
      additionalMarginBottom: additionalMarginDefault
    });
  };
  this.init = function () {
    initElements();
    initModule();
    bindEvents();
    initScrollbarWidth();
    _this.els.$body.addClass('nebotheme-init');
    varBlockInit();
  };
  var varBlockInit = function varBlockInit() {
    _this.initStickySidebar();
    _this.sliders.init();
  };
}
;
window.nebotheme = new Nebotheme();
nebotheme.init();

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this,
    cacheBuffer = {},
    isRequestFree = true,
    responseLast = false,
    queryVars = {},
    queryVarsTmp = {},
    elements = {},
    classes = {
      _loading: '--loading',
      _masonry: 'nebotheme-blog-grid--masonry'
    },
    selectors = {
      blog: '.nebotheme-blog'
    },
    getIsLoadmore = function getIsLoadmore() {
      return elements.$blog.hasClass('nebotheme-blog--loadmore');
    };
  selectors.paginationLink = "".concat(selectors.blog, " a.page-numbers");
  var initElements = function initElements() {
      elements = {};
      elements.$blog = jQuery('.nebotheme-blog');
      elements.$header = elements.$blog.find('.nebotheme-blog__header');
      elements.$variable = elements.$blog.find('.nebotheme-blog__variable');
      Object.defineProperty(elements, '$postsWrap', {
        get: function get() {
          return elements.$blog.find('.nebotheme-blog__posts');
        }
      });
      Object.defineProperty(elements, '$container', {
        get: function get() {
          return elements.$postsWrap.find('.nebotheme-blog__posts__inner');
        }
      });
      Object.defineProperty(elements, '$pagination', {
        get: function get() {
          return elements.$variable.find('.nebotheme-pagination');
        }
      });
      Object.defineProperty(elements, '$posts', {
        get: function get() {
          return elements.$container.find('> .nebotheme-post');
        }
      });
    },
    resetMasonry = function resetMasonry() {
      elements.$posts.css({
        marginTop: ''
      });
    },
    clearCache = function clearCache() {
      cacheBuffer = {};
    };
  this.initMasonry = function () {
    var $postsWrap = elements.$postsWrap.filter(".".concat(classes._masonry));
    if (!elements.$posts.length || !$postsWrap.length) {
      return;
    }
    var $container = elements.$postsWrap.find(elements.$container),
      columnsCount = utils.getCssVarInt('--nebotheme-blog-columns', $postsWrap);
    resetMasonry();
    if (1 >= columnsCount) {
      return;
    }
    var heights = [],
      verticalSpaceBetween = utils.getCssVarInt('--nebotheme-gap-row', $postsWrap);
    var distanceFromTop = $container.position().top;
    distanceFromTop += parseInt($container.css('margin-top'), 10);
    $postsWrap.find(elements.$posts).each(function (index, item) {
      var row = Math.floor(index / columnsCount),
        $item = jQuery(item),
        itemHeight = $item[0].getBoundingClientRect().height + verticalSpaceBetween;
      if (row) {
        var itemPosition = $item.position(),
          indexAtRow = index % columnsCount;
        var pullHeight = itemPosition.top - distanceFromTop - heights[indexAtRow];
        pullHeight -= parseInt($item.css('margin-top'), 10);
        pullHeight *= -1;
        $item.css('margin-top', pullHeight + 'px');
        heights[indexAtRow] += itemHeight;
      } else {
        heights.push(itemHeight);
      }
    });
    nebotheme.initStickySidebar();
  };
  this.init = function () {
    clearCache();
    initElements();
    _this.initMasonry();
    setTimeout(function () {
      _this.initMasonry();
    }, 250);
  };
  var whenAjaxFree = function whenAjaxFree(callback) {
      return function () {
        if (isRequestFree) {
          return callback.apply(void 0, arguments);
        }
      };
    },
    bindEventsOnce = function bindEventsOnce() {
      if (nebothemeConfig.ajax_blog) {
        nebotheme.els.$body.on('click', selectors.paginationLink, whenAjaxFree(onPagination));
      }
      window.addEventListener('resize', utils.debounce(_this.initMasonry.bind(_this)));
    },
    onPagination = function onPagination(event) {
      var isLoadmore = getIsLoadmore();
      event.preventDefault();
      event.stopPropagation();
      event.stopImmediatePropagation();
      var paged = getPagedByUrl(event.currentTarget.href);
      if (!queryVars) {
        queryVars = {};
      }
      queryVars.paged = paged;
      ajaxRequest(function () {
        if (!isLoadmore) {
          setTimeout(function () {
            elements.$blog.get(0).scrollIntoView({
              behavior: 'smooth'
            });
          }, 50);
        }
      });
    },
    getPagedByUrl = function getPagedByUrl(url) {
      var urlObj = new URL(url);
      var paged = false;
      var pathnameArray = urlObj.pathname.split('/');
      var pageIndex = pathnameArray.findIndex(function (element) {
        return 'page' === element;
      });
      pageIndex++;
      if (-1 !== pageIndex && pathnameArray[pageIndex]) {
        paged = pathnameArray[pageIndex];
      }
      if (!paged) {
        var urlParameters = new URLSearchParams(urlObj.search);
        paged = urlParameters.get('paged');
      }
      paged = Math.max(1, Number(paged));
      return paged;
    },
    ajaxRequest = function ajaxRequest() {
      var callbackDone = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : new Function(),
        callbackFail = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : new Function();
      if (!isRequestFree) {
        return;
      }
      var cache = getCache();
      if (cache) {
        responseLast = cache;
        ajaxResponseSuccess();
        callbackDone();
        ajaxReset();
        return;
      }
      var jqXHR = jQuery.ajax(getAjaxParameters());
      ajaxStart();
      jqXHR.done(function (response, textStatus) {
        if (response && response.success) {
          responseLast = response.data;
          setCache(response.data);
          callbackDone(textStatus, jqXHR);
          ajaxResponseSuccess();
        } else {
          ajaxResponseFail();
        }
      });
      jqXHR.fail(function (jqXHRFail, textStatus, errorThrown) {
        responseLast = textStatus;
        callbackFail(jqXHRFail, textStatus, errorThrown);
        ajaxResponseFail();
      });
      jqXHR.always(function () {
        ajaxReset();
        ajaxFinish();
      });
      isRequestFree = false;
    },
    getAjaxParameters = function getAjaxParameters() {
      var parameters = {
        url: nebothemeCommonConfig.ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {
          action: 'nebotheme_ajax_blog',
          query_vars: queryVars,
          location: nebothemeConfig.ajax_blog.location,
          pagenum_link: nebothemeConfig.ajax_blog.pagenum_link
        }
      };
      if (nebothemeConfig.ajax_blog.page_id) {
        parameters.data.page_id = nebothemeConfig.ajax_blog.page_id;
      }
      return parameters;
    },
    toCacheID = function toCacheID(params) {
      if ('string' === typeof params) {
        return params;
      }
      return jQuery.param(params);
    },
    getCache = function getCache() {
      var parameters = getAjaxParameters(),
        cacheID = toCacheID(parameters);
      try {
        return JSON.parse(cacheBuffer[cacheID]);
      } catch (err) {
        return cacheBuffer[cacheID] || null;
      }
    },
    setCache = function setCache(value) {
      var parameters = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : getAjaxParameters(),
        cacheID = toCacheID(parameters);
      cacheBuffer[cacheID] = JSON.stringify(value, null, '');
    },
    setDefaultCache = function setDefaultCache() {
      if (!elements.$posts.length || !nebothemeConfig.ajax_blog) {
        return;
      }
      queryVars = {
        paged: getPagedByUrl(location.href)
      };
      var $html = jQuery('<div />', {
        html: elements.$variable.html()
      });
      if (window.lazySizes) {
        $html.find(".".concat(lazySizes.cfg.loadingClass)).each(function (index, img) {
          jQuery(img).removeClass(lazySizes.cfg.loadingClass).addClass(lazySizes.cfg.lazyClass);
        });
      }
      setCache($html.html());
    },
    ajaxResponseSuccess = function ajaxResponseSuccess() {
      var isLoadmore = getIsLoadmore();
      queryVarsTmp = queryVars;
      if (!responseLast) {
        return;
      }
      if (!isLoadmore) {
        elements.$variable.css('opacity', 0);
      }
      setTimeout(function () {
        if (isLoadmore) {
          var $html = jQuery("<div>".concat(responseLast, "</div>")),
            $posts = $html.find('.nebotheme-post'),
            $pagination = $html.find('.nebotheme-pagination');
          elements.$container.eq(-1).append($posts);
          elements.$pagination.replaceWith($pagination);
        } else {
          elements.$variable.html(responseLast);
        }
        setTimeout(function () {
          _this.initMasonry();
          elements.$variable.css('opacity', '');
          nebotheme.videoBG.reInit();
          nebotheme.initStickySidebar();
        }, 10);
      }, isLoadmore ? 0 : 250);
    },
    ajaxResponseFail = function ajaxResponseFail() {
      queryVars = queryVarsTmp;
    },
    ajaxStart = function ajaxStart() {
      elements.$blog.addClass(classes._loading);
    },
    ajaxFinish = function ajaxFinish() {
      elements.$blog.removeClass(classes._loading);
    },
    ajaxReset = function ajaxReset() {
      isRequestFree = true;
    };
  bindEventsOnce();
  this.init();
  setDefaultCache();
};

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function () {
  var classes = {
      _show: 'nebotheme-comments--show'
    },
    selectors = {
      metadataComments: 'a[href*="#comments"], a[href*="#respond"]'
    },
    bindEvents = function bindEvents() {
      nebotheme.els.$document.on('click', '.nebotheme-comments .comments-opener', function (event) {
        var $varBlock = jQuery(event.target).parents('.nebotheme-var-block'),
          $root = $varBlock.find('.nebotheme-comments');
        event.preventDefault();
        toggleComments($root);
      });
      nebotheme.els.$document.on('click', selectors.metadataComments, function (event) {
        var $varBlock = jQuery(event.target).parents('.nebotheme-var-block'),
          $root = $varBlock.find('.nebotheme-comments');
        event.preventDefault();
        toggleComments($root, true);
        $root.get(0).scrollIntoView({
          behavior: 'auto'
        });
      });
    },
    toggleComments = function toggleComments($root) {
      var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
      $root.toggleClass(classes._show, state);
      nebotheme.initStickySidebar();
    },
    init = function init() {
      bindEvents();
    };
  init();
};

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this,
    classes = {
      _scroll: 'nebotheme-header-sticky--show'
    },
    $header = jQuery('#header'),
    $sticky = $header.find('.header-sticky'),
    fixing = function fixing() {
      nebotheme.els.$body.toggleClass(classes._scroll, window.scrollY >= $header.height() + $header.position().top);
    },
    bindEvents = function bindEvents() {
      nebotheme.els.$window.on('scroll', utils.debounce(fixing));
    };
  /* Private */
  this.isActive = function () {
    return $sticky.length;
  };
  var init = function init() {
    if (!_this.isActive()) {
      return;
    }
    bindEvents();
  };
  init();
};

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this,
    initAPI = false,
    YTdeferred = jQuery.Deferred(),
    elements = {},
    classes = {
      _init: 'nebotheme-post__video-bg--init',
      _initPlayer: 'nebotheme-post__video-bg--init-player',
      _pause: 'nebotheme-post__video-bg--pause',
      _unmute: 'nebotheme-post__video-bg--unmute',
      _freeze: 'nebotheme-post__video-bg--freeze'
    };
  this.selectors = {
    videoBG: '.nebotheme-post__video-bg[data-video-id]',
    _init: ".".concat(classes._init),
    _unmute: ".".concat(classes._unmute),
    inner: '.nebotheme-post__video-bg__inner',
    controlVolume: '.nebotheme-post__video-bg__control_volume'
  };
  var initElements = function initElements() {
      elements.$videoBGsAll = jQuery(_this.selectors.videoBG);
      elements.$sliderSlick = jQuery(nebotheme.sliders.selectors.sliderSlick).has(elements.$videoBGsAll);
      elements.$videoBGsSlider = elements.$sliderSlick.find(_this.selectors.videoBG);
      elements.$videoBGs = elements.$videoBGsAll.not(elements.$videoBGsSlider);
    },
    getVideoBGAllInit = function getVideoBGAllInit() {
      return elements.$videoBGsAll.filter(_this.selectors._init);
    },
    bindAPIReady = function bindAPIReady() {
      window.onYouTubePlayerAPIReady = function () {
        YTdeferred.resolve(window.YT);
      };
      window.onYouTubeIframeAPIReady = function () {
        YTdeferred.resolve(window.YT);
      };
    },
    initEmbedYoutubeAPI = function initEmbedYoutubeAPI() {
      if (initAPI) {
        return;
      }
      var tag = document.createElement('script');
      tag.src = 'https://www.youtube.com/iframe_api';
      var firstScriptTag = document.getElementsByTagName('script')[0];
      firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
      initAPI = true;
    },
    initVideoBG = function initVideoBG(YT, $videoBG) {
      if ($videoBG.hasClass(classes._init)) {
        return;
      }
      $videoBG.addClass(classes._init);
      var videoID = $videoBG.data('video-id');
      if (!videoID) {
        return;
      }
      var $videoBGInner = $videoBG.find(_this.selectors.inner),
        videoData = {
          startSeconds: $videoBG.data('video-start') || 0,
          endSeconds: $videoBG.data('video-end') || 20,
          suggestedQuality: 'hd1080',
          videoId: videoID
        },
        player = new YT.Player($videoBGInner.get(0), {
          playerVars: {
            autohide: 1,
            autoplay: 0,
            controls: 0,
            disablekb: 1,
            enablejsapi: 0,
            iv_load_policy: 3,
            loop: 1,
            modestbranding: 1,
            playsinline: 1,
            rel: 0,
            showinfo: 0
          },
          events: {
            onReady: function onReady() {
              player.loadVideoById(videoData);
              player.mute();
            },
            onStateChange: function onStateChange(event) {
              var playerState = event.data;
              if (1 === playerState) {
                $videoBG.removeClass(classes._pause);
                if (!$videoBG.hasClass(classes._initPlayer)) {
                  $videoBG.addClass(classes._initPlayer);
                }
              } else if (2 === playerState) {
                $videoBG.addClass(classes._pause);
              } else if (0 === playerState) {
                player.seekTo(videoData.startSeconds);
              }
            }
          }
        });
      $videoBG.data('player', player);
      hideNativeControl($videoBG);
    },
    initVideoBGs = function initVideoBGs(YT) {
      elements.$videoBGs.each(function (index, videoBG) {
        var $videoBG = jQuery(videoBG),
          checkedIsInViewport = checkIsInViewport($videoBG),
          isInit = $videoBG.hasClass(classes._init);
        if (isInit || !checkedIsInViewport) {
          if (isInit) {
            var _$videoBG$data = $videoBG.data(),
              _player = _$videoBG$data.player;
            if (1 === _player.playerInfo.playerState && !checkedIsInViewport) {
              _player.pauseVideo();
              $videoBG.addClass(classes._freeze);
            } else if (checkedIsInViewport && $videoBG.hasClass(classes._freeze)) {
              _player.playVideo();
              $videoBG.removeClass(classes._freeze);
            }
          }
          return;
        }
        initVideoBG(YT, $videoBG);
      });
    },
    initSliderVideoBGs = function initSliderVideoBGs(YT) {
      var $videoBGsSlider = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : elements.$videoBGsSlider;
      $videoBGsSlider.each(function (index, videoBG) {
        var $videoBG = jQuery(videoBG),
          checkedIsInViewport = checkIsInViewport($videoBG),
          isInit = $videoBG.hasClass(classes._init);
        if (isInit || !checkedIsInViewport) {
          if (isInit) {
            var _$videoBG$data2 = $videoBG.data(),
              _player2 = _$videoBG$data2.player;
            if (1 === _player2.playerInfo.playerState && !checkedIsInViewport) {
              _player2.pauseVideo();
              $videoBG.addClass(classes._freeze);
            } else if (checkedIsInViewport && $videoBG.hasClass(classes._freeze)) {
              _player2.playVideo();
              $videoBG.removeClass(classes._freeze);
            }
          }
          return;
        }
        initVideoBG(YT, $videoBG);
      });
    },
    bindEvents = function bindEvents() {
      nebotheme.els.$window.on('resize', utils.debounce(hideNativeControlS));
      nebotheme.els.$document.on('click', '.nebotheme-post__video-bg__control_state', function (event) {
        event.preventDefault();
        var $videoBG = jQuery(event.currentTarget).parents(_this.selectors.videoBG),
          _$videoBG$data3 = $videoBG.data(),
          player = _$videoBG$data3.player;
        if (1 === player.playerInfo.playerState) {
          player.pauseVideo();
        } else {
          player.playVideo();
        }
      });
      nebotheme.els.$document.on('click', _this.selectors.controlVolume, function (event) {
        event.preventDefault();
        var $videoBG = jQuery(event.currentTarget).parents(_this.selectors.videoBG),
          _$videoBG$data4 = $videoBG.data(),
          player = _$videoBG$data4.player;
        $videoBG.toggleClass(classes._unmute);
        if ($videoBG.hasClass(classes._unmute)) {
          elements.$videoBGsAll.not($videoBG).filter(_this.selectors._unmute).find(_this.selectors.controlVolume).trigger('click');
          player.unMute();
        } else {
          player.mute();
        }
      });
    },
    hideNativeControlS = function hideNativeControlS() {
      getVideoBGAllInit().each(function (index, videoBG) {
        hideNativeControl(jQuery(videoBG));
      });
    },
    hideNativeControl = function hideNativeControl($videoBG) {
      var _$videoBG$data5 = $videoBG.data(),
        player = _$videoBG$data5.player,
        width = $videoBG.width(),
        height = $videoBG.height(),
        hideControl = 400;
      if (width / height > 16 / 9) {
        player.setSize(width, width / 16 * 9 + hideControl);
      } else {
        player.setSize(height / 9 * 16, height + hideControl);
      }
    },
    checkIsInViewport = function checkIsInViewport($videoBG) {
      var elementTop = $videoBG.offset().top,
        elementBottom = elementTop + $videoBG.outerHeight(),
        viewportTop = nebotheme.els.$window.scrollTop(),
        viewportBottom = viewportTop + nebotheme.els.$window.height();
      return elementBottom > viewportTop && elementTop < viewportBottom;
    };
  this.reInit = function () {
    initElements();
    YTdeferred.done(initVideoBGs);
    YTdeferred.done(initSliderVideoBGs);
  };
  var init = function init() {
    initElements();
    if (!elements.$videoBGsAll.length) {
      return;
    }
    bindAPIReady();
    initEmbedYoutubeAPI();
    bindEvents();
    YTdeferred.done(function (YT) {
      nebotheme.els.$window.on('scroll resize', utils.debounce(function () {
        initVideoBGs(YT);
        initSliderVideoBGs(YT);
      }, 100));
    });
    YTdeferred.done(initVideoBGs);
    YTdeferred.done(initSliderVideoBGs);
  };
  init();
};

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var getConfig = function getConfig() {
      return {
        mainMenuSubOffsetY: 1,
        subMenusMinWidth: 220,
        subMenusSubOffsetX: -1 * utils.getCssVarInt('--nebotheme-menu-dropdown-between'),
        subMenusSubOffsetY: -1 * utils.getCssVarInt('--nebotheme-menu-dropdown-pad-y')
      };
    },
    init = function init() {
      jQuery('ul.sm').smartmenus(getConfig());
    };
  init();
};

/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Hooks = __webpack_require__(20),
  Overlay = __webpack_require__(21),
  utils = __webpack_require__(3);
function OffCanvas() {
  var _this = this;
  this.overlay = new Overlay();
  this.hooks = new Hooks();
  var classes = {
      _show: 'off-canvas--show',
      _triggerAdded: 'trigger--added',
      subMenuToggle: 'sub-menu-toggle'
    },
    $trigger = jQuery('<span />', {
      "class": 'trigger-sub-menu',
      html: jQuery('<span />', {
        html: '<svg width="10" height="7" viewBox="0 0 10 7" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1 1L5 5L9 1" stroke="#0A0A0A" stroke-width="1.5"/></svg>'
      })
    }),
    initElements = function initElements() {
      var $root = jQuery('.nebotheme-off-canvas');
      _this.els = {
        $root: $root,
        $menuList: $root.find('ul.navigation-menu'),
        $scroll: $root.find('.nebotheme-off-canvas-content')
      };
    },
    addArrowMenu = function addArrowMenu() {
      $trigger.clone(true).appendTo(_this.els.$menuList.filter(function (index, item) {
        return !jQuery(item).hasClass(classes._triggerAdded);
      }).find('.menu-item-has-children > a, .page_item_has_children > a'));
      _this.els.$menuList.addClass(classes._triggerAdded);
    },
    onMenuTriggerClick = function onMenuTriggerClick(event) {
      event.stopImmediatePropagation();
      event.preventDefault();
      var $this = jQuery(event.currentTarget),
        $li = $this.parent().parent();
      if ($li.hasClass('sub-menu-opening')) {
        return;
      }
      $li.addClass('sub-menu-opening');
      var $subMenu = $li.find('> .sub-menu, > ul.children');
      $li.toggleClass('sub-menu-visible');
      $subMenu.one(utils.transitionend, function () {
        $li.removeClass('sub-menu-opening');
        _this.els.$menuList.trigger(classes.subMenuToggle);
      });
      if ($li.hasClass('sub-menu-visible')) {
        $subMenu.one(utils.transitionend, function () {
          $subMenu.css('height', 'auto');
          _this.els.$menuList.trigger(classes.subMenuToggle);
        });

        /* Step 1 */
        $subMenu.css('display', 'block');

        /* Step 2 */
        $subMenu.css('height', $subMenu.get(0).scrollHeight);
      } else {
        $subMenu.one(utils.transitionend, function () {
          $subMenu.css('display', 'none').find('.sub-menu-visible').removeClass('sub-menu-visible').find('> .sub-menu, > ul.children').css({
            height: 0,
            display: 'none'
          });
        });
        $subMenu.css('height', $subMenu.get(0).scrollHeight);
        setTimeout(function () {
          return $subMenu.css('height', 0);
        }, 5);
      }
    },
    bindTrigger = function bindTrigger() {
      $trigger.on('click', onMenuTriggerClick);
    };
  this.exist = function () {
    return Boolean(_this.els.$root.length);
  };
  this.isShow = function () {
    return nebotheme.els.$body.hasClass(classes._show);
  };
  this.toggle = function () {
    if (_this.isShow()) {
      _this.hide();
    } else {
      _this.show();
    }
  };
  this.show = function () {
    if (_this.isShow()) {
      return;
    }
    utils.scrollLock.lock();
    nebotheme.els.$body.addClass(classes._show);
    _this.overlay.show(function () {
      _this.hide();
    });
    _this.hooks.trigger('show');
  };
  this.hide = function () {
    if (!_this.isShow()) {
      return;
    }
    utils.scrollLock.unLock();
    nebotheme.els.$body.removeClass(classes._show);
    _this.overlay.hide();
    _this.hooks.trigger('hide');
  };
  this.init = function () {
    initElements();
    if (!_this.exist()) {
      return;
    }
    addArrowMenu();
  };
  nebotheme.hooks.on('trigger:off-canvas', this.toggle);
  bindTrigger();
  this.init();
}
module.exports = OffCanvas;

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
module.exports = function () {
  var hooks = {},
    self = this;
  this.on = function (eventName, callback) {
    if ('object' === _typeof(eventName)) {
      $.each(eventName, function (singleEventName) {
        self.on(singleEventName, self);
      });
      return self;
    }
    var eventNames = eventName.split(' ');
    eventNames.forEach(function (singleEventName) {
      if (!hooks[singleEventName]) {
        hooks[singleEventName] = [];
      }
      hooks[singleEventName].push(callback);
    });
    return self;
  };
  this.one = function (eventName, callback) {
    return self.on(eventName, function () {
      callback.apply(void 0, arguments);
      self.off(eventName);
    });
  };
  this.off = function (eventName, callback) {
    if (!hooks[eventName]) {
      return self;
    }
    if (!callback) {
      delete hooks[eventName];
      return self;
    }
    var callbackIndex = hooks[eventName].indexOf(callback);
    if (-1 !== callbackIndex) {
      delete hooks[eventName][callbackIndex];
    }
    return self;
  };
  this.trigger = function (eventName) {
    var methodName = 'on' + eventName[0].toUpperCase() + eventName.slice(1),
      params = Array.prototype.slice.call(arguments, 1);
    if (self[methodName]) {
      self[methodName].apply(self, params);
    }
    var callbacks = hooks[eventName];
    if (!callbacks) {
      return self;
    }
    jQuery.each(callbacks, function (index, callback) {
      callback.apply(self, params);
    });
    return self;
  };
};

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Hooks = __webpack_require__(20),
  utils = __webpack_require__(3),
  Overlay = function Overlay() {
    var _this = this,
      options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      optionsDefault = {
        $context: nebotheme.els.$body,
        scrollLock: true,
        zIndex: null
      };
    options = Object.assign(optionsDefault, options);
    this.hooks = new Hooks();
    this.els = {
      $root: jQuery('<div />', {
        "class": 'nebotheme-overlay'
      })
    };
    if (options.zIndex) {
      this.els.$root.css('z-index', options.zIndex);
    }
    var classes = {
        _show: 'overlay--show'
      },
      append = function append() {
        _this.els.$root.appendTo(options.$context);
      },
      bindEvents = function bindEvents() {
        _this.els.$root.on('click', _this.hide);
      },
      init = function init() {
        append();
        bindEvents();
      };
    this.toggle = function () {
      if (_this.isShow()) {
        _this.hide();
      } else {
        _this.show();
      }
    };
    this.show = function (callback) {
      _this.els.$root.addClass(classes._show);
      _this.hooks.trigger('show');
      if (callback) {
        _this.hooks.one('hide', callback);
      }
      if (options.scrollLock) {
        utils.scrollLock.lock();
      }
    };
    this.hide = function () {
      var call = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
      if (!_this.isShow) {
        return;
      }
      _this.els.$root.removeClass(classes._show);
      if (call) {
        _this.hooks.trigger('hide');
      }
      if (options.scrollLock) {
        utils.scrollLock.unLock();
      }
    };
    this.isShow = function () {
      return _this.els.$root.hasClass(classes._show);
    };
    init();
  };
module.exports = Overlay;

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Popup = __webpack_require__(23);
function PopupManager() {
  var selectors = {
      root: '.nebotheme-popup'
    },
    popups = {};
  this.$popups = jQuery(selectors.root);
  this.$popups.each(function (index, popupItem) {
    var popup = new Popup(jQuery(popupItem));
    popups[popup.getName()] = popup;
  });
  this.getPopup = function (name) {
    return popups[name];
  };
}
module.exports = PopupManager;

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3),
  Hooks = __webpack_require__(20);
function Popup($root) {
  var _this = this;
  this.els = {
    $root: $root,
    $triggerClose: $root.find()
  };
  var classes = {
      _show: 'nebotheme-popup--show'
    },
    _this$els$$root$data = this.els.$root.data(),
    _this$els$$root$data$ = _this$els$$root$data.options,
    options = _this$els$$root$data$ === void 0 ? {} : _this$els$$root$data$,
    popupName = _this$els$$root$data.name;
  this.els.$root.removeAttr('options');
  var init = function init() {
      bindEvents();
    },
    bindEvents = function bindEvents() {
      var hookName = "trigger:popup:".concat(popupName);
      nebotheme.hooks.on(hookName, _this.toggle.bind(_this));
      nebotheme.hooks.on("".concat(hookName, ":show"), _this.show.bind(_this));
      nebotheme.hooks.on("".concat(hookName, ":hide"), _this.hide.bind(_this));
    };
  this.hooks = new Hooks();
  this.getName = function () {
    return popupName;
  };
  this.getOptions = function () {
    var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    if (name) {
      return options[name];
    }
    return options;
  };
  this.findElement = function (selector) {
    return _this.els.$root.find(selector);
  };
  this.isActive = function () {
    return _this.els.$root.hasClass(classes._show);
  };
  this.show = function () {
    if (_this.isActive()) {
      return;
    }
    utils.scrollLock.lock();
    _this.els.$root.addClass(classes._show);
    _this.hooks.trigger('show');
  };
  this.hide = function () {
    if (!_this.isActive()) {
      return;
    }
    _this.els.$root.removeClass(classes._show);
    setTimeout(function () {
      utils.scrollLock.unLock();
    }, utils.getCssTime(_this.els.$root.css('transition-duration')));
    _this.hooks.trigger('hide');
  };
  this.toggle = function () {
    if (_this.isActive()) {
      _this.hide();
    } else {
      _this.show();
    }
  };
  init();
}
module.exports = Popup;

/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this,
    popup = nebotheme.popupManager.getPopup('search');
  if (!popup) {
    return;
  }
  var bindEvents = function bindEvents() {
    _this.els.$form.on('submit', function (event) {
      var searchText = _this.els.$searchInput.val();
      if (!searchText) {
        event.preventDefault();
        setInterval(function () {
          _this.els.$searchInput.trigger('focus');
        }, 100);
        return false;
      }
    });
    popup.hooks.on('show', function () {
      popup.els.$root.one(utils.transitionend, function () {
        setInterval(function () {
          _this.els.$searchInput.trigger('focus');
        }, 100);
      });
    });
  };
  this.els = {
    $form: popup.findElement('form'),
    $searchInput: popup.findElement('input[type=search]')
  };
  var init = function init() {
    bindEvents();
  };
  init();
};

/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this;
  this.selectors = {
    slider: '.nebotheme-slider',
    sliderSlick: '.nebotheme-slider__slick'
  };
  this.classes = {
    _initSlider: 'nebotheme-slider--init'
  };
  var foundHomeSlider = false;
  var initSlider = function initSlider(slider) {
    var $slider = jQuery(slider);
    if ($slider.hasClass(_this.classes._initSlider)) {
      return;
    }
    var $slickSlider = $slider.find(_this.selectors.sliderSlick),
      optionsData = $slickSlider.data().sliderOptions || {},
      optionsDefault = {
        arrows: false,
        infinite: true,
        rtl: utils.isRTL(),
        responsive: []
      };
    if (2 < optionsData.slidesToShow && !optionsDefault.responsive.length) {
      optionsDefault.responsive.push({
        breakpoint: 576,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1
        }
      });
      optionsDefault.responsive.push({
        breakpoint: 768,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 2
        }
      });
    }
    var options = Object.assign({}, optionsDefault, optionsData);
    if (options.arrows) {
      options.appendArrows = $slider.find('.nebotheme-slider__arrows');
    }
    if (!foundHomeSlider && options.fade && navigator.userAgent.match(/Chrome-Lighthouse/i) && $slider.parents('.nebotheme-homepage-slider')) {
      options.fade = false;
      foundHomeSlider = true;
    }
    $slickSlider.slick(options);
    $slickSlider.on('beforeChange', function (slick, currentSlide, nextSlide) {
      currentSlide.$slider.find('.lazyloading').removeClass('lazyloading').addClass('lazyload');
    });
    if (options.adaptiveHeight) {
      var setHeight = function setHeight() {
        if (1 >= slick.getOption('slidesToShow')) {
          return;
        }
        var heights = [];
        slick.$slides.filter('.slick-active').each(function (index, slickItem) {
          heights.push(jQuery(slickItem).height());
        });
        slick.$list.height(Math.max.apply(null, heights));
      };
      var slick = $slickSlider.slick('getSlick');
      $slickSlider.on('nebotheme:resize', setHeight);
      $slickSlider.on('afterChange', setHeight);
      window.addEventListener('resize', utils.debounce(setHeight));
      setHeight();
    }
    $slider.addClass(_this.classes._initSlider);
  };
  this.init = function () {
    jQuery(_this.selectors.slider).each(function (index, slider) {
      initSlider(slider);
    });
  };
  this.init();
};

/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
var utils = __webpack_require__(3);
module.exports = function () {
  var imgWidthAvailable = 300,
    attrName = 'data-zoomable',
    containerID = 'nebotheme-zoom-container',
    $container = jQuery('<div />', {
      id: containerID
    }),
    selectors = {
      container: '#' + containerID,
      imgZoom: "[".concat(attrName, "=\"true\"]")
    },
    parameters = {
      margin: 20,
      container: selectors.container
    };
  selectors.imgWithoutZoom = "img:not(".concat(selectors.imgZoom, ")");
  var initZoomWithAttr = function initZoomWithAttr() {
      return initMediumZoom(selectors.imgZoom);
    },
    initZoomImage = function initZoomImage(img) {
      return initMediumZoom(img);
    },
    initMediumZoom = function initMediumZoom(images) {
      mediumZoom(images, parameters).on('open', function (event) {
        if (event.currentTarget.hasAttribute('loading') && 'lazy' === event.currentTarget.getAttribute('loading')) {
          event.currentTarget.setAttribute('loading', 'eager');
        }
      });
    },
    initZoomImages = function initZoomImages() {
      if (!nebotheme.getTM('zoomable')) {
        return;
      }
      var imgs = Array.from(document.querySelectorAll(selectors.imgWithoutZoom));
      initZoomWithAttr();
      var imgsInLInk = Array.from(document.querySelectorAll("a ".concat(selectors.imgWithoutZoom))),
        imgsInPresentation = Array.from(document.querySelectorAll("".concat(selectors.imgWithoutZoom, "[role=\"presentation\"]")));
      imgs.filter(function (img) {
        return !img.dataset.zoomablePassed;
      }).forEach(function (img) {
        img.dataset.zoomablePassed = true;
        if (imgsInLInk.includes(img) || imgsInPresentation.includes(img) || img.hasAttribute(attrName)) {
          return;
        }
        var onLoaded = function onLoaded() {
          setTimeout(function () {
            var width = Math.max.apply(Math, _toConsumableArray([+img.getAttribute('width'), img.naturalWidth, img.width].filter(Number.isInteger)));
            if (width < imgWidthAvailable) {
              return;
            }
            img.setAttribute(attrName, true);
            initZoomImage(img);
          }, 1);
        };
        if (img.classList.contains('nebotheme-lazyload')) {
          if (img.classList.contains('lazyloaded')) {
            onLoaded();
          } else {
            img.addEventListener('lazyloaded', onLoaded);
          }
        } else {
          utils.bindImgLoaded(img, onLoaded);
        }
      });
    },
    appendContainer = function appendContainer() {
      nebotheme.els.$body.append($container);
    },
    bindEvents = function bindEvents() {
      nebotheme.hooks.on('varBlock', function () {
        initZoomImages();
      });
    },
    init = function init() {
      if (!nebotheme.getTM('zoomable')) {
        return;
      }
      initZoomImages();
      appendContainer();
    };
  bindEvents();
  init();
};

/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Share = function Share() {
  var networkTypes = {
      twitter: 'https://twitter.com/intent/tweet?url={url}&text={twitter_prefix_text}: {title}',
      pinterest: 'https://pinterest.com/pin/create/button/?url={url}&media={image}&description={title}',
      facebook: 'https://www.facebook.com/sharer.php?u={url}&t={title}',
      linkedin: 'https://www.linkedin.com/shareArticle?mini=true&url={url}&title={title}&summary={text}&source={url}',
      reddit: 'https://reddit.com/submit?url={url}&title={title}',
      stumbleupon: 'https://www.stumbleupon.com/submit?url={url}',
      whatsapp: 'https://api.whatsapp.com/send?text=*{title}*\n{text}\n{url}',
      email: 'mailto:?subject={title}&body={title}: {url}',
      telegram: 'https://telegram.me/share/url?url={url}&text={title}'
    },
    windowParams = {
      width: 640,
      height: 480,
      toolbar: 0,
      status: 0
    },
    defaultSettings = {
      title: '',
      text: '',
      image: '',
      url: location.href
    },
    selectors = {
      separator: '[data-type="separator"]'
    },
    getSettings = function getSettings(element) {
      var $share = jQuery(element).parents('.nebotheme-share-buttons'),
        userSettings = $share.data('settings'),
        settings = {};
      jQuery.extend(settings, defaultSettings, userSettings);
      ['title', 'text'].forEach(function (propertyName) {
        settings[propertyName] = settings[propertyName].replace('#', '');
      });
      return settings;
    },
    getNetworkLink = function getNetworkLink(type, element) {
      if (!networkTypes[type]) {
        return;
      }
      var settings = getSettings(element);
      var link = networkTypes[type].replace(/{([^}]+)}/g, function (fullMatch, pureMatch) {
        return settings[pureMatch];
      });
      if ('email' === type) {
        if (-1 < settings.title.indexOf('&') || -1 < settings.text.indexOf('&')) {
          var emailSafeSettings = {
            text: settings.text.replace(new RegExp('&', 'g'), '%26'),
            title: settings.title.replace(new RegExp('&', 'g'), '%26'),
            url: location.href
          };
          link = networkTypes[type].replace(/{([^}]+)}/g, function (fullMatch, pureMatch) {
            return emailSafeSettings[pureMatch];
          });
        }
        if (link.indexOf('?subject=&body')) {
          link = link.replace('subject=&', '');
        }
        return link;
      }
      return encodeURI(link);
    },
    openShareLink = function openShareLink(type, element) {
      var shareWindowLeft = screen.width / 2 - windowParams.width / 2,
        shareWindowTop = screen.height / 2 - windowParams.height / 2;
      windowParams.top = shareWindowTop;
      windowParams.left = shareWindowLeft;
      var link = getNetworkLink(type, element);
      if (!link) {
        return;
      }
      var windowParamsString = Object.entries(windowParams).map(function (keyValue) {
          return keyValue.join('=');
        }).join(','),
        isPlainLink = /^https?:\/\//.test(link),
        windowName = isPlainLink ? '' : '_self';
      window.open(link, windowName, windowParamsString);
    },
    bindEvents = function bindEvents() {
      nebotheme.els.$document.on('click', ".nebotheme-share-buttons__item:not(".concat(selectors.separator, ")"), function (event) {
        var _jQuery$data = jQuery(event.currentTarget).data(),
          type = _jQuery$data.type;
        event.preventDefault();
        openShareLink(type, event.currentTarget);
      });
      nebotheme.els.$document.on('click', selectors.separator, function (event) {
        var $this = jQuery(event.currentTarget);
        event.preventDefault();
        $this.toggleClass('active');
        if ($this.hasClass('active')) {
          setTimeout(function () {
            nebotheme.els.$document.on('click', onClickSeparatorDocument);
          }, 0);
        }
      });
    },
    onClickSeparatorDocument = function (_onClickSeparatorDocument) {
      function onClickSeparatorDocument(_x) {
        return _onClickSeparatorDocument.apply(this, arguments);
      }
      onClickSeparatorDocument.toString = function () {
        return _onClickSeparatorDocument.toString();
      };
      return onClickSeparatorDocument;
    }(function (event) {
      var target = event.target,
        $shares = jQuery('.nebotheme-share-buttons');
      if (!$shares.length) {
        return;
      }
      if (!(jQuery(target).is($shares) || $shares.has(target).length)) {
        $shares.find(selectors.separator).removeClass('active');
        nebotheme.els.$document.off(event.type, onClickSeparatorDocument);
      }
    }),
    init = function init() {
      bindEvents();
    };
  /* Methods */
  init();
};
module.exports = Share;

/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  jQuery('.nebotheme-search').each(function (index, search) {
    var submitted = false,
      searchTerm = '',
      jqXHR;
    var $search = jQuery(search),
      $searchForm = $search.find('form'),
      $searchField = $search.find('[type="search"]'),
      $searchAjax = $search.find('.nebotheme-ajax-search'),
      $ajaxList = $searchAjax.find('.nebotheme-ajax-search__list'),
      $ajaxPreloader = $searchAjax.find('.nebotheme-ajax-search__preloader'),
      ajaxLoading = utils.debounce(function () {
        jqXHR = jQuery.ajax({
          cache: true,
          url: nebothemeCommonConfig.ajaxurl,
          type: 'POST',
          data: {
            _ajax_nonce: nebothemeModulesConfig.ajax_search.nonce,
            action: 'nebotheme_ajax_search',
            q: searchTerm
          }
        }).done(function (result) {
          if (result) {
            $ajaxList.show().html(result);
            nebotheme.els.$document.on('mousedown', onMouseDown);
          } else {
            $ajaxList.hide().empty();
          }
        }).always(function () {
          $ajaxPreloader.hide();
        });
      }, 350);
    $searchField.on('input', function () {
      if (submitted) {
        return;
      }
      var searchTermCurrent = $searchField.val().trim();
      if (searchTermCurrent === searchTerm) {
        return;
      }
      searchTerm = searchTermCurrent;
      if (!searchTermCurrent || 2 >= searchTermCurrent.length) {
        $ajaxList.hide().empty();
        return;
      }
      $ajaxList.hide().empty();
      $ajaxPreloader.show();
      if (jqXHR) {
        jqXHR.abort();
      }
      ajaxLoading();
    });
    $searchForm.on('submit', function (event) {
      submitted = true;
      var $items = $ajaxList.find('.nebotheme-ajax-search__item');
      if (jqXHR) {
        console.log('abort', jqXHR);
        jqXHR.abort();
      }
      $ajaxPreloader.hide();
      if (1 === $items.length) {
        var $link = $items.find('.entry-title > a');
        event.preventDefault();
        if ($link.length) {
          $link.get(0).click();
        }
      }
    });
    $searchField.on('focusin', function () {
      $searchAjax.show();
      if (!$ajaxList.is(':empty')) {
        nebotheme.els.$document.on('mousedown', onMouseDown);
      }
    });
    var onMouseDown = function onMouseDown(event) {
      if ($search.is(event.target) || jQuery.contains($search.get(0), event.target)) {
        return;
      }
      $searchAjax.hide();
      nebotheme.els.$document.off('mousedown', onMouseDown);
    };
  });
};

/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var $backToTop = jQuery('#backToTop');
  if (!$backToTop.length) {
    return;
  }
  $backToTop.on('click', function (event) {
    event.preventDefault();
    nebotheme.els.$html.animate({
      scrollTop: 0
    }, 'fast');
  });
  nebotheme.els.$window.on('scroll', utils.debounce(function () {
    nebotheme.els.$body.toggleClass('back-to-top--show', 200 < window.scrollY);
  }));
};

/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this;
  if (!nebothemeModulesConfig.cookie_bar) {
    return;
  }
  var cookieName = nebothemeModulesConfig.cookie_bar.cookie_name,
    $cookieBar = jQuery('#nebothemeCookieBar'),
    $cookieBarAccept = jQuery('#nebothemeCookieBarAccept'),
    classes = {
      _show: 'nebotheme-cookie-bar--show'
    };
  $cookieBarAccept.on('click', function (event) {
    event.preventDefault();
    if (!utils.isCustomize()) {
      Cookies.set(cookieName, '1', {
        expires: 30
      });
    }
    _this.hide();
  });
  nebotheme.hooks.on('trigger:cookie-bar', function () {
    _this.toggle();
  });
  this.show = function () {
    $cookieBar.addClass(classes._show);
  };
  this.hide = function () {
    $cookieBar.removeClass(classes._show);
  };
  this.toggle = function () {
    $cookieBar.toggleClass(classes._show);
  };
  if (!utils.isCustomize() && !Cookies.get(cookieName)) {
    this.show();
  }
};

/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(3);
module.exports = function () {
  var popup = nebotheme.popupManager.getPopup('newsletter');
  if (!popup || !nebothemeModulesConfig.mailchimp) {
    return;
  }
  var zIndex = Number(nebotheme.offCanvas.els.$root.css('z-index') || 9999999) + 1,
    cookieName = nebothemeModulesConfig.mailchimp.cookie_name;
  popup.els.$root.css('z-index', zIndex + 1);
  var saveCookie = function saveCookie() {
      if (utils.isCustomize()) {
        return;
      }
      var expires = getExpires();
      if (expires) {
        Cookies.set(cookieName, '1', {
          expires: expires
        });
      } else if (Cookies.get(cookieName)) {
        Cookies.remove(cookieName);
      }
    },
    getExpires = function getExpires() {
      return parseInt(nebothemeModulesConfig.mailchimp.expires, 10);
    };
  popup.hooks.on('hide', saveCookie.bind(this));
  var initPopup = function initPopup() {
    if (utils.isCustomize() || Cookies.get(cookieName)) {
      return;
    }
    setTimeout(popup.show.bind(popup), 10000);
  };
  initPopup();
};

/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function () {
  if (!nebotheme.els.$body.hasClass('page-fade--enable')) {
    return;
  }
  nebotheme.els.$body.find('.nebotheme-page-fade').css({
    visibility: '',
    opacity: ''
  });
  window.addEventListener('beforeunload', function () {
    if (!document.activeElement) {
      return;
    }
    nebotheme.els.$body.find('.nebotheme-page-fade').css({
      visibility: 'visible',
      opacity: 1
    });
  });
  window.addEventListener('unload', function () {
    nebotheme.els.$body.find('.nebotheme-page-fade').css({
      visibility: '',
      opacity: ''
    });
  });
};

/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var utils = __webpack_require__(3);
module.exports = function () {
  var _this = this,
    max = +nebotheme.getTM('post_infinite_scroll_max'),
    count = 0,
    observerOptions = {
      root: null,
      rootMargin: '-150px',
      threshold: 1.0
    },
    loading,
    defaultPostId = +jQuery('.nebotheme-var-block').data('id'),
    lastPostId = defaultPostId,
    posts = _defineProperty({}, lastPostId, {
      id: lastPostId,
      permalink: location.href,
      documentTitle: document.title
    }),
    initElements = function initElements() {
      _this.els = {
        $root: jQuery('.nebotheme-single-infinite'),
        $varBlocks: jQuery('.nebotheme-var-blocks'),
        $varBlock: jQuery('.nebotheme-var-block')
      };
    },
    ajaxLoading = function ajaxLoading() {
      _this.els.$root.css({
        opacity: 1,
        height: _this.els.$root.get(0).scrollHeight
      });
      loading = true;
      jQuery.ajax({
        cache: true,
        url: nebothemeCommonConfig.ajaxurl,
        dataType: 'json',
        type: 'POST',
        data: {
          action: 'nebotheme_ajax_post_infinite_scroll',
          current_post_id: lastPostId
        }
      }).done(function (result) {
        count++;
        posts[result.post.id] = {
          id: result.post.id,
          documentTitle: result.post.document_title,
          permalink: result.post.permalink
        };
        lastPostId = result.post.id;
        _this.els.$varBlocks.append(result.html);
        initElements();
        checkCenteredPost();
        nebotheme.hooks.trigger('varBlock');
      }).always(function (res, status) {
        loading = false;
        _this.els.$root.css({
          opacity: '',
          height: ''
        });
        if ('success' !== status || count >= max) {
          _this.els.$root.one(utils.transitionend, function () {
            remove();
          });
        }
        if (2 === Object.keys(posts).length) {
          initScroll();
        }
      });
    },
    remove = function remove() {
      _this.els.$root.remove();
    },
    observeCb = function observeCb(_ref) {
      var _ref2 = _slicedToArray(_ref, 1),
        entry = _ref2[0];
      if (!entry.isIntersecting || loading) {
        return;
      }
      ajaxLoading();
    },
    initScroll = function initScroll() {
      window.addEventListener('scroll', utils.debounce(checkCenteredPost));
    },
    checkCenteredPost = function checkCenteredPost() {
      var centerScreen = innerHeight / 2 + scrollY,
        varBlock = _toConsumableArray(_this.els.$varBlock.toArray()).find(function (varBlock) {
          jQuery(varBlock).offset();
          var divStart = jQuery(varBlock).offset().top,
            divEnd = divStart + jQuery(varBlock).height();
          return divStart < centerScreen && divEnd > centerScreen;
        });
      updatePost(posts[varBlock ? varBlock.dataset.id : defaultPostId]);
    },
    updatePost = function updatePost(post) {
      if (window.location.href !== post.permalink) {
        history.replaceState(null, null, post.permalink);
        document.title = post.documentTitle;
        updateGA(post);
      }
    },
    updateGA = function updateGA(post) {
      if ('undefined' !== typeof _gaq) {
        _gaq.push(['_trackPageview', post.permalink]);
      } else if ('undefined' !== typeof ga) {
        var reg = /.+?\:\/\/.+?(\/.+?)(?:#|\?|$)/,
          pathname = reg.exec(post.permalink)[1];
        ga('send', 'pageview', pathname);
      }
      if ('undefined' !== typeof googletag) {
        googletag.pubads().refresh();
      }
    },
    initObserver = function initObserver() {
      _this.observer = new IntersectionObserver(observeCb, observerOptions);
      _this.observer.observe(_this.els.$root.get(0));
    },
    isActive = function isActive() {
      return nebotheme.els.$body.hasClass('single') && _this.els.$root.length;
    },
    init = function init() {
      initElements();
      if (!isActive()) {
        return;
      }
      initObserver();
    };
  init();
};

/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(35);
__webpack_require__(37);

/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


__webpack_require__(36);

/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


jQuery.fn.oneFirst = function (name, callback) {
  this.one(name, callback);
  var handlers = jQuery._data(jQuery(this).get(0), 'events')[name.split('.')[0]],
    handler = handlers.pop();
  handlers.splice(0, 0, handler);
};

/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


jQuery('.nebotheme-embed-shortcode, .entry-content').fitVids();

/***/ })
/******/ ]);
//# sourceMappingURL=script.js.map