<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Hidden control
 */
class Hidden extends Base {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'hidden';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_control_attrs() {
		return array_merge(
			parent::get_control_attrs(),
			[
				'type' => 'hidden',
			]
		);
	}
}
