<?php
/**
 * Horizontal menu.
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Menu;

use NeboTheme\Yaffo\Menu\Base;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Class horizontal menu.
 */
abstract class Menu_Horizontal extends Base {
	/**
	 * Get default arguments for menu.
	 */
	public static function get_wp_nav_menu_args_default() {
		$menu_args_default = parent::get_wp_nav_menu_args_default();

		$menu_args_default['menu_class'] .= ' navigation-menu-horizontal';

		return $menu_args_default;
	}
}
