<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Yaffo
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

?>
<div class="nebotheme-page-404">
	<?php if ( ! have_posts() ) : ?>
		<p class="nebotheme-page-404__description">
			<?php esc_html_e( 'We\'re sorry, but the page you were looking for doesn\'t exist.', 'yaffo' ); ?>
		</p>
	<?php endif; ?>
	<?php
	nebotheme_render_search_form(
		[
			'button_icon' => false,
			'button_text' => esc_html__( 'Search', 'yaffo' ),
		]
	);
	?>
</div>
<?php

get_sidebar();
get_footer();
