/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 38);
/******/ })
/************************************************************************/
/******/ ({

/***/ 20:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
module.exports = function () {
  var hooks = {},
    self = this;
  this.on = function (eventName, callback) {
    if ('object' === _typeof(eventName)) {
      $.each(eventName, function (singleEventName) {
        self.on(singleEventName, self);
      });
      return self;
    }
    var eventNames = eventName.split(' ');
    eventNames.forEach(function (singleEventName) {
      if (!hooks[singleEventName]) {
        hooks[singleEventName] = [];
      }
      hooks[singleEventName].push(callback);
    });
    return self;
  };
  this.one = function (eventName, callback) {
    return self.on(eventName, function () {
      callback.apply(void 0, arguments);
      self.off(eventName);
    });
  };
  this.off = function (eventName, callback) {
    if (!hooks[eventName]) {
      return self;
    }
    if (!callback) {
      delete hooks[eventName];
      return self;
    }
    var callbackIndex = hooks[eventName].indexOf(callback);
    if (-1 !== callbackIndex) {
      delete hooks[eventName][callbackIndex];
    }
    return self;
  };
  this.trigger = function (eventName) {
    var methodName = 'on' + eventName[0].toUpperCase() + eventName.slice(1),
      params = Array.prototype.slice.call(arguments, 1);
    if (self[methodName]) {
      self[methodName].apply(self, params);
    }
    var callbacks = hooks[eventName];
    if (!callbacks) {
      return self;
    }
    jQuery.each(callbacks, function (index, callback) {
      callback.apply(self, params);
    });
    return self;
  };
};

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(39);


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var ButtonDefault = __webpack_require__(40),
  ButtonPreviewerRefresh = __webpack_require__(41),
  ButtonHooks = __webpack_require__(42),
  SkinManager = __webpack_require__(43),
  NebothemeCustomize = function NebothemeCustomize() {
    var _this = this;
    this.controls = {};
    var initAddons = function initAddons() {
      _this.buttonHooks = new ButtonHooks();
      new ButtonDefault();
      new ButtonPreviewerRefresh();
    };
    this.controls = {};
    var initModule = function initModule() {
        new SkinManager();
      },
      initControls = function initControls() {
        _this.controls = {
          'nebotheme-ajax-select': __webpack_require__(45),
          'nebotheme-button': __webpack_require__(46),
          'nebotheme-popover-start': __webpack_require__(47)
        };
      },
      bindControls = function bindControls() {
        __webpack_require__(48);
        for (var controlName in _this.controls) {
          var control = _this.controls[controlName];
          wp.customize.controlConstructor[controlName] = control;
        }
      },
      bindAPI = function bindAPI() {
        wp.customize.previewer.bind('focus-control-for-setting', showControl);
      },
      showControl = function showControl(controlID) {
        var control = wp.customize.control(controlID);
        if (!control) {
          return false;
        }
        var _control$container$da = control.container.data(),
          popover = _control$container$da.popover;
        if (!popover) {
          return false;
        }
        popover.showPopover();
        return popover;
      },
      bindTriggerElement = function bindTriggerElement() {
        nebothemeAdmin.els.$document.on('click', '[data-customize-trigger]', function (event) {
          event.preventDefault();
          var $this = jQuery(event.currentTarget),
            _$this$data$split = $this.data('customize-trigger').split(':'),
            _$this$data$split2 = _slicedToArray(_$this$data$split, 2),
            type = _$this$data$split2[0],
            elementID = _$this$data$split2[1],
            isSection = 'section' === type;
          if (!elementID) {
            return;
          }
          var element = isSection ? wp.customize.section(elementID) : wp.customize.control(elementID);
          if (!element) {
            return;
          }
          var section = isSection ? element : wp.customize.section(element.section());
          if (!section.headContainer.is(':visible')) {
            return;
          }
          element.focus();
          showControl(elementID);
        });
      };
    this.isKirkiActive = function () {
      return Boolean(window.kirki);
    };
    this.init = function () {
      if (!_this.isKirkiActive()) {
        return;
      }
      initControls();
      bindControls();
      initModule();
      wp.customize.bind('ready', function () {
        initAddons();
        bindAPI();
        bindTriggerElement();
      });
    };
  };
/* Modules */
window.nebothemeCustomize = new NebothemeCustomize();
nebothemeCustomize.init();

/***/ }),

/***/ 40:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
module.exports = function () {
  var includeControlsType = ['kirki-select', 'kirki-image', 'kirki-multicolor'],
    $button = jQuery('<a>', {
      href: '#',
      "class": 'nebotheme-customize-control-default dashicons dashicons-image-rotate'
    }),
    bindEvents = function bindEvents() {
      $button.on('click', onClick);
    },
    onClick = function onClick(event) {
      event.preventDefault();
      var $this = jQuery(event.currentTarget),
        _$this$data = $this.data(),
        id = _$this$data.id;
      jQuery.post(nebothemeCommonConfig.ajaxurl, {
        action: 'nebotheme_mod_default',
        dataType: 'json',
        _ajax_nonce: nebothemeAdminConfig.nonce,
        id: id
      }).always(function (response) {
        response = response || {};
        if (response.deleted) {
          var control = wp.customize.control(id);
          if ('object' === _typeof(response["default"]) || _.include(['kirki-image'], control.params.type)) {
            location.reload();
          } else if ('kirki-select' === control.params.type) {
            control.container.find('select').val(response["default"]).trigger('change');
          } else {
            var selectors = 'input, select, textarea',
              $fields = control.container.find(selectors);
            if ($fields.length) {
              control.container.find(selectors).val(response["default"]).trigger('change');
            }
          }
        }
      });
    },
    appendButton = function appendButton() {
      wp.customize.control.each(function (control) {
        control.deferred.embedded.done(function () {
          if (!_.include(includeControlsType, control.params.type)) {
            return;
          }
          setTimeout(function () {
            control.container.append($button.attr('data-id', control.id).clone(true));
          }, 250);
        });
      });
    },
    init = function init() {
      if (!nebothemeAdminConfig.debug) {
        return;
      }
      bindEvents();
      appendButton();
    };
  init();
};

/***/ }),

/***/ 41:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function () {
  var classes = {
      spinnerActive: 'is-active'
    },
    $spinner = jQuery('#customize-header-actions .spinner'),
    $publishSettings = jQuery('#publish-settings'),
    $button = jQuery('<a/>', {
      id: 'nebotheme-button-previewer-refresh',
      title: nebothemeCustomizeConfig.l10n.refresh,
      "class": 'button-primary button',
      html: '<i class="dashicons dashicons-image-rotate"></i>',
      href: '#'
    }),
    bindEvents = function bindEvents() {
      $button.on('click', function (event) {
        event.preventDefault();
        $spinner.addClass(classes.spinnerActive);
        wp.customize.previewer.refresh();
      });
      wp.customize.previewer.bind('ready', function () {
        $spinner.removeClass(classes.spinnerActive);
      });
    },
    appendButton = function appendButton() {
      $publishSettings.after($button);
    },
    init = function init() {
      if (!nebothemeAdminConfig.debug) {
        return;
      }
      bindEvents();
      appendButton();
    };
  init();
};

/***/ }),

/***/ 42:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0, descriptor; i < props.length; i++) { descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var Hooks = __webpack_require__(20);
var ButtonHooks = /*#__PURE__*/function () {
  function ButtonHooks() {
    _classCallCheck(this, ButtonHooks);
    this.hooks = new Hooks();
  }
  return _createClass(ButtonHooks, [{
    key: "bindAjax",
    value: function bindAjax(id) {
      var _this = this,
        callbackDone = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {};
      this.hooks.on(id, function (callback) {
        var data = {
          action: _this.getPrefixAction(id),
          _ajax_nonce: nebothemeAdminConfig.nonce
        };
        jQuery.post(nebothemeCommonConfig.ajaxurl, data).done(callbackDone).always(callback);
      });
    }
  }, {
    key: "getPrefixAction",
    value: function getPrefixAction(eventName) {
      return ['nebotheme', eventName].join('_');
    }
  }]);
}();
module.exports = ButtonHooks;

/***/ }),

/***/ 43:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var SkinManagerControl = __webpack_require__(44);
module.exports = function () {
  if (!nebothemeCustomize.isKirkiActive()) {
    return;
  }
  var bindControls = function bindControls() {
      wp.customize.controlConstructor['nebotheme-skin-manager'] = SkinManagerControl;
    },
    init = function init() {
      bindControls();
    };
  init();
};

/***/ }),

/***/ 44:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = wp.customize.kirkiDynamicControl.extend({
  userSettings: false,
  initKirkiControl: function initKirkiControl() {
    var rootClass = 'nebotheme-skin-manager',
      rootSelector = ".".concat(rootClass),
      $demoTriggers = this.container.find("".concat(rootSelector, "__demo__trigger")),
      $discardTrigger = this.container.find("".concat(rootSelector, "__demo__discard-trigger"));
    this.$demos = this.container.find("".concat(rootSelector, "__demo"));
    this.$root = this.container.find(rootSelector);
    this.cssClasses = {
      _userSettings: "".concat(rootClass, "--user-settings"),
      _activeDemo: "".concat(rootClass, "__demo--active")
    };
    $demoTriggers.on('click', this.onDemo.bind(this));
    $discardTrigger.on('click', this.onDiscard.bind(this));
  },
  onDemo: function onDemo(event) {
    event.preventDefault();
    var $this = jQuery(event.currentTarget),
      $demo = this.$demos.has($this),
      _$demo$data = $demo.data(),
      settings = _$demo$data.settings;
    this.setUserSettings(settings);
    this.applySettings(event, settings);
    nebothemeAdmin.els.$body.addClass(this.cssClasses._userSettings);
    this.$demos.removeClass(this.cssClasses._activeDemo);
    $demo.addClass(this.cssClasses._activeDemo);
    $demo.get(0).scrollIntoView({
      block: 'end'
    });
  },
  onDiscard: function onDiscard(event) {
    if (!this.userSettings) {
      return;
    }
    this.applySettings(event, this.userSettings);
    this.$demos.removeClass(this.cssClasses._activeDemo);
    nebothemeAdmin.els.$body.removeClass(this.cssClasses._userSettings);
  },
  setUserSettings: function setUserSettings(newSettings) {
    if (this.userSettings) {
      return;
    }
    var userSettings = {};
    wp.customize.control.each(function (control) {
      if (!newSettings[control.id]) {
        return;
      }
      userSettings[control.id] = control.setting.get();
    });
    if (!Object.keys(userSettings).length) {
      return;
    }
    this.userSettings = userSettings;
  },
  applySettings: function applySettings(event, settings) {
    var _this = this,
      $demo = this.$demos.has(jQuery(event.currentTarget)),
      $spinner = $demo.find('.spinner'),
      onReady = function onReady(event) {
        $spinner.removeClass('is-active');
        _this.$root.removeClass('loading');
        wp.customize.previewer.unbind('ready', onReady);
      };
    this.$root.addClass('loading');
    $spinner.addClass('is-active');
    wp.customize.previewer.refresh();
    wp.customize.previewer.bind('ready', onReady);
    for (var settingName in settings) {
      var setting = settings[settingName],
        control = wp.customize.control(settingName);
      if (!control) {
        continue;
      }
      kirkiSetSettingValue.set(control.id, setting);
    }
  }
});

/***/ }),

/***/ 45:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = wp.customize.kirkiDynamicControl.extend({
  initKirkiControl: function initKirkiControl() {
    var _this = this,
      $select = this.container.find('select');
    $select.on('change', function () {
      var isMultiple = $select.attr('multiple');
      var selectValue = $select.val();
      selectValue = null === selectValue && isMultiple ? [] : selectValue;
      kirki.setting.set(_this.id, selectValue);
    });
  }
});

/***/ }),

/***/ 46:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = wp.customize.kirkiDynamicControl.extend({
  onClick: function onClick() {
    this.startProcess();
    nebothemeCustomize.buttonHooks.hooks.trigger(this.params.event, this.triggerCallback.bind(this));
  },
  initKirkiControl: function initKirkiControl() {
    this.spinner = this.container.find('.spinner');
    this.container.on('click', 'button', this.onClick.bind(this));
  },
  startProcess: function startProcess() {
    this.spinner.addClass('is-active');
  },
  stopProcess: function stopProcess() {
    this.spinner.removeClass('is-active');
  },
  triggerCallback: function triggerCallback() {
    this.stopProcess();
  }
});

/***/ }),

/***/ 47:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var PopoverStart = wp.customize.kirkiDynamicControl.extend({
  _popoverActive: 'active',
  initKirkiControl: function initKirkiControl() {
    var _this = this,
      $trigger = this.container.find(PopoverStart.selectors.trigger);
    $trigger.on('click', this.togglePopover.bind(this));
    nebothemeAdmin.els.$body.on('nebothemeCustomize:popover:show', function (event, child) {
      if (child === _this || _this.section() !== child.section()) {
        return;
      }
      _this.hidePopover();
    });
  },
  initialize: function initialize() {
    var _this2 = this;
    wp.customize.kirkiDynamicControl.prototype.initialize.apply(this, arguments);
    jQuery(function () {
      _this2.$fields = _this2.container.nextUntil(PopoverStart.selectors.container);
      _this2.$fields.data('popover', _this2);
      _this2.hidePopover();
    });
  },
  isActive: function isActive() {
    return this.container.hasClass(this._popoverActive);
  },
  showPopover: function showPopover() {
    this.container.addClass(this._popoverActive);
    this.$fields.removeClass(PopoverStart.classes._hideControl);
    nebothemeAdmin.els.$body.trigger('nebothemeCustomize:popover:show', this);
  },
  hidePopover: function hidePopover() {
    this.container.removeClass(this._popoverActive);
    this.$fields.addClass(PopoverStart.classes._hideControl);
    nebothemeAdmin.els.$body.trigger('nebothemeCustomize:popover:hide', this);
  },
  togglePopover: function togglePopover() {
    if (this.container.hasClass(this._popoverActive)) {
      this.hidePopover();
    } else {
      this.showPopover();
    }
  }
});
PopoverStart.classes = {
  _hideControl: 'customize-control-popover--hidden'
};
PopoverStart.selectors = {
  container: '.customize-control-nebotheme-popover-start',
  trigger: '.nebotheme-popover-trigger'
};
module.exports = PopoverStart;

/***/ }),

/***/ 48:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


wp.customize.controlConstructor.repeater.prototype.initSelect = function () {
  initSelectIcon.apply(void 0, arguments);
  initSelectUrlType.apply(void 0, arguments);
};
function initSelectUrlType(theNewRow) {
  var $selectIcon = theNewRow.container.find('.repeater-field-icon select'),
    $selectType = theNewRow.container.find('.repeater-field-url_type select'),
    addClass = function addClass() {
      var value = $selectType.val();
      if ('custom' === value) {
        theNewRow.container.addClass('is-custom-url');
      } else {
        theNewRow.container.removeClass('is-custom-url');
      }
      $selectIcon.trigger('change.select2');
    };
  if (!$selectType.length) {
    return;
  }
  $selectType.on('change', addClass);
  addClass();
}
function initSelectIcon(theNewRow) {
  var $selectType = theNewRow.container.find('.repeater-field-url_type select'),
    $selectIcon = theNewRow.container.find('.repeater-field-icon select'),
    select2Template = function select2Template(val) {
      if (!val.id) {
        return val.text;
      }
      return "<div title=\"".concat(val.id, "\">\n\t\t\t<i class=\"").concat(val.id, "\" aria-hidden=\"true\"></i>").concat(val.text, "\n\t\t</div>");
    },
    selectWooOptions = {
      escapeMarkup: function escapeMarkup(markup) {
        return markup;
      },
      templateSelection: select2Template,
      templateResult: select2Template
    },
    labelIcon = function labelIcon() {
      var cssClasses = ['repeater-row-label'],
        icon = $selectIcon.val();
      if (icon && 'custom' === $selectType.val()) {
        cssClasses.push(icon);
      }
      theNewRow.container.find('.repeater-row-label').attr('class', cssClasses.join(' '));
    };
  if (!$selectIcon.length) {
    return;
  }
  $selectIcon.selectWoo(selectWooOptions).val($selectIcon.val()).trigger('change');
  $selectIcon.on('change.select2', labelIcon.bind(this));
  labelIcon();
}

/***/ })

/******/ });
//# sourceMappingURL=script.js.map