<?php
/**
 * Site Identity
 *
 * @package Yaffo
 */

use NeboTheme\Yaffo\Customize\Customize_Manager;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_customize_fields_site_identity();

/**
 * Adds a customize fields with kirki
 *
 * @return void
 */
function nebotheme_customize_fields_site_identity() {
	Customize_Manager::add_field_trigger(
		[
			'trigger' => 'section:logos',
			'section' => 'title_tagline',
			'label' => esc_html__( 'Logo Settings', 'yaffo' ),
			'priority' => 1,
		]
	);
}
