<?php
/**
 * The file for defines.
 *
 * @package Yaffo
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Get environment variable
 */
function yaffo_get_environment() {
	static $environments = [];

	if ( empty( $environments ) ) {
		$environments = json_decode( '{"modules":{"importer":{"filename_content":"content.xml","filename_widgets":"widgets.wie","filename_settings":"settings.dat","filename_settings_skin":"settings-style.dat","filename_preview":"preview.jpg"},"cookie_bar":{"cookie_name_accept":"nebotheme_yaffo_cookies_accept"},"mailchimp":{"cookie_name_popup":"nebotheme_yaffo_newsletter_popup"},"twitter":{"authBasic":"YW5UODZkQmViaGR4dGlrSjZScHV0TjQ1WjpUWEpOdzRTOTQ3WjdDaUk0UTR1YXExMWlPUmZXYlkyemZrTjY2Q2tPN2xtcDBTRUxtWg=="}},"monitor_mobile":768,"monitor_tablet":990,"monitor_laptop":1204,"width_content":1200,"theme_mods_default":{"color_general":{"content":"#121416","primary":"#005240","hover":"#a8aab2","headings":"#111111","bg":"#ffffff","alt":"#fbf7ed","border":"#e8e8e8","secondary":"#ffd874"},"color_header_top":{"bg_color":"#ffffff","bd":"#e8e8e8","element":"#111111","element_hover":"#a8aab2","bg":"#ffffff"},"color_header_main":{"bg_color":"#ffffff","bd":"#e8e8e8","element":"#0a0a0a","element_hover":"#a8aab2","bg":"#ffffff"},"color_menu":{"element_active":"#878787","element":"#0a0a0a","element_hover":"#898989"},"color_menu_dropdown":{"element":"#111111","element_hover":"#a8aab2","bg":"#ffffff","element_active":"#a8aab2","bd":"#e8e8e8"},"color_off_canvas":{"content":"#0a0a0a","hover":"#adadad","bg":"#ffffff","primary":"#004c3f","secondary":"#ffd874","headings":"#111111","alt":"#c1b4b4","border":"#e8e8e8"},"font_primary":{"font-family":"Source Serif Pro","font-size":"19px","letter-spacing":"0px","line-height":"1.6","variant":"regular","font-weight":400,"font-style":"normal"},"font_secondary":{"font-family":"DM Sans","font-size":"12px","letter-spacing":"0.1em","line-height":"1.5","text-transform":"uppercase","variant":"regular","font-weight":400,"font-style":"normal"},"font_heading_h1":{"font-family":"DM Sans","font-size":"48px","letter-spacing":"0px","line-height":"1.2","text-transform":"none","variant":"regular","font-weight":400,"font-style":"normal"},"font_heading_h2":{"font-family":"DM Sans","font-size":"38px","letter-spacing":"0px","line-height":"1.2","text-transform":"none","variant":"regular","font-weight":400,"font-style":""},"font_heading_h3":{"font-family":"DM Sans","font-size":"27px","letter-spacing":"0px","line-height":"1.4","text-transform":"none","variant":"regular","font-weight":400,"font-style":""},"font_heading_h4":{"variant":"","font-family":"inherit","font-size":"18px","letter-spacing":"0px","line-height":"1.4","text-transform":"none","font-weight":0,"font-style":""},"font_heading_h5":{"font-family":"DM Sans","font-size":"14px","letter-spacing":"0px","line-height":"1.5","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_heading_h6":{"font-family":"DM Sans","font-size":"13px","letter-spacing":"0px","line-height":"1.5","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_menu":{"font-family":"DM Sans","font-size":"12px","letter-spacing":"1.5px","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_submenu":{"letter-spacing":"","font-family":"DM Sans","font-size":"12px","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_off_canvas_menu":{"font-family":"DM Sans","font-size":"14px","letter-spacing":"0px","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_off_canvas_submenu":{"font-family":"DM Sans","font-size":"13px","letter-spacing":"0px","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_button":{"font-family":"DM Sans","font-size":"13px","letter-spacing":"0.1em","text-transform":"uppercase","variant":"500","font-weight":500,"font-style":"normal"},"font_input":{"font-family":"DM Sans","font-size":"14px","letter-spacing":"0px","variant":"regular","font-weight":400,"font-style":"normal"},"font_quote":{"font-family":"PT Serif","font-size":"27px","letter-spacing":"0px","line-height":"1.5","variant":"italic","font-weight":400,"font-style":"italic"},"header_sticky_height":"40","header_sticky_height_mobile":"65","header_top_height":"45","header_main_height":"140","header_main_height_mobile":"89","homepage_slider_ratio":0.45,"homepage_slider_ratio_mobile":0.45,"homepage_slider_date":true,"homepage_slider_read_time":true,"homepage_blog_date":true,"homepage_blog_read_time":true,"homepage_blog_author":true,"homepage_featured_images_ratio":0.55,"sidebar_layout_sidebar_default":"right","sidebar_layout_sidebar_archive":"right","archive_blog_date":true,"archive_blog_read_time":true,"archive_blog_author":true,"sidebar_layout_sidebar_search":"right","search_blog_date":true,"search_blog_read_time":true,"search_blog_author":true,"sidebar_layout_sidebar_page":"right","sidebar_layout_sidebar_post":"right","sidebar_layout_sidebar_woocommerce":"right","instagram_feed_sidebar_layout_sidebar_default":true,"instagram_feed_sidebar_layout_sidebar_off_canvas":true,"instagram_feed_sidebar_layout_sidebar_archive":true,"instagram_feed_sidebar_layout_sidebar_search":true,"instagram_feed_sidebar_layout_sidebar_page":true,"instagram_feed_sidebar_layout_sidebar_post":true,"instagram_feed_sidebar_layout_sidebar_woocommerce":true,"instagram_feed_sidebar_layout_sidebar_product":true}}', true );
	}

	return $environments;
}
