<?php
/**
 * Horizontal Smart menu.
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Menu;

use NeboTheme\Yaffo\Menu\Menu_Horizontal;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Class horizontal smart menu.
 */
class Menu_Horizontal_Smart extends Menu_Horizontal {

	/**
	 * {@inheritDoc}
	 */
	public static function get_name() {
		return 'horizontal_smart';
	}

	/**
	 * {@inheritDoc}
	 */
	public static function get_wp_nav_menu_args_default() {
		$menu_args_default = parent::get_wp_nav_menu_args_default();

		// For Jquery SmartMenus.
		$menu_args_default['menu_class'] .= ' sm';

		if ( is_rtl() ) {
			$menu_args_default['menu_class'] .= ' sm-rtl';
		}

		return $menu_args_default;
	}
}
