<?php
/**
 * Footer part.
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Menu\Menu_Manager;
use NeboTheme\Yaffo\Logos;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

do_action( 'nebotheme_render_footer_start' );
?>
<div class="footer-site">
	<div class="grid-container">
		<div class="grid-row">
			<div class="grid-col">
				<div class="grid-col-inner">
					<?php nebotheme_render_social_icons_global(); ?>
					<?php nebotheme_footer_copyright(); ?>
				</div>
			</div>
			<div class="grid-col flex-grow">
				<?php Logos::render_logo( 'footer' ); ?>
			</div>
			<div class="grid-col grid-col-end">
				<?php Menu_Manager::instance()->render_menu( Menu_Manager::MENU_ID_FOOTER ); ?>
			</div>
		</div>
	</div>
</div>
<?php do_action( 'nebotheme_render_footer_end' ); ?>
